@import url("https://fonts.googleapis.com/css?family=Roboto:400,700&display=swap");
* {
  margin: 0;
  padding: 0;
  outline: 0;
  box-sizing: border-box;
}
*:focus {
  outline: 0;
}
html,
body,
#app {
  height: 100%;
}
body,
input,
button {
  font: 14px "Roboto", sans-serif;
}
a {
  text-decoration: none;
}
ul {
  list-style: none;
}
button {
  cursor: pointer;
}

body {
  -webkit-font-smoothing: antialiased;
  background: linear-gradient(-45deg, #aaa 25%, #eee 100%);
  background-attachment: fixed;
}

/**
* YOUR CODE HERE
*/

.logo {
  width: 50px;
  display: block;
  margin: 0 auto;
  margin-bottom: 22px;
}

#app {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 0 16px;
}

.login form {
  display: flex;
  flex-direction: column;
}

.login form input {
  margin-bottom: 11px;
  height: 34px;
  padding: 0 9px;
  background: #d5d5d5;
  border: none;
  border-radius: 3px;
}

.login {
  background: #e4e4e4;
  width: 360px;
  padding: 17px;
  border-bottom-right-radius: 15px;
  border-top-left-radius: 15px;
  box-shadow: 0px 0px 45px -9px grey;
}

button {
  background: #008429;
  color: white;
  height: 34px;
  border: none;
  border-radius: 3px;
  transition: 0.3s;
}

button:hover {
  background: #00a333;
}

button[disabled] {
  background: #d1d1d1;
}

.lds-roller {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-roller div {
  animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  transform-origin: 40px 40px;
}
.lds-roller div:after {
  content: " ";
  display: block;
  position: absolute;
  width: 7px;
  height: 7px;
  border-radius: 50%;
  background: #fff;
  margin: -4px 0 0 -4px;
}
.lds-roller div:nth-child(1) {
  animation-delay: -0.036s;
}
.lds-roller div:nth-child(1):after {
  top: 63px;
  left: 63px;
}
.lds-roller div:nth-child(2) {
  animation-delay: -0.072s;
}
.lds-roller div:nth-child(2):after {
  top: 68px;
  left: 56px;
}
.lds-roller div:nth-child(3) {
  animation-delay: -0.108s;
}
.lds-roller div:nth-child(3):after {
  top: 71px;
  left: 48px;
}
.lds-roller div:nth-child(4) {
  animation-delay: -0.144s;
}
.lds-roller div:nth-child(4):after {
  top: 72px;
  left: 40px;
}
.lds-roller div:nth-child(5) {
  animation-delay: -0.18s;
}
.lds-roller div:nth-child(5):after {
  top: 71px;
  left: 32px;
}
.lds-roller div:nth-child(6) {
  animation-delay: -0.216s;
}
.lds-roller div:nth-child(6):after {
  top: 68px;
  left: 24px;
}
.lds-roller div:nth-child(7) {
  animation-delay: -0.252s;
}
.lds-roller div:nth-child(7):after {
  top: 63px;
  left: 17px;
}
.lds-roller div:nth-child(8) {
  animation-delay: -0.288s;
}
.lds-roller div:nth-child(8):after {
  top: 56px;
  left: 12px;
}
@keyframes lds-roller {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.container {
  display: flex;
  flex-wrap: wrap;
  max-width: 592px;
}

.container img {
  max-width: 30px;
  height: 30px;
  border-radius: 50%;
  filter: grayscale(1);
  margin-right: 10px;
}

.container li {
  height: 38px;
  background: white;
  border-radius: 5px;
  padding: 5px;
  display: flex;
  align-items: center;
  margin: 5px;
  flex-grow: 1;
  box-shadow: 0px 0px 4px 3px rgba(0, 0, 0, 0.1);
  color: #888e93;
  font-weight: bold;
}

.container li:hover img {
  filter: grayscale(0);
  transform: scale(2);
  transition: 0.2s;
}

@media (max-width: 400px) {
  #app.logged {
    height: auto;
  }

  .login {
    width: 100%;
  }
}
